// 添加就诊人
import React from 'react';
import {List} from 'antd-mobile';
import './style/index.less';

const Item = List.Item;
const Brief = Item.Brief;

export default class AddVisitor extends React.Component {
  constructor({history}) {
    super();
    this.state = {
      
    }
    this.history=history;
  }

  componentDidMount() {
    
  }

  // 跳转到绑卡界面
  handleGoBindingCard = () => {
    let data = {
      tabActive: "left"
    }
    this.history.push({
      pathname: "/0001/00010003",
      state: data
    })
  }

  // 跳转到社保卡授权添加
  handleGoSocialSecurityCardAuthorization = () => {
    this.history.push("/0002/00030006")
  }

  render() {
    return (
      <div className="electronic-health-card">
        <div style={{height: "100%", overflow: "auto"}} className="add-visitor margintop10">
          <List className="list-content">
            <Item
              arrow="horizontal"
              thumb={<i className="iconfont icon-dianzijiankangka"></i>}
              multipleLine
              onClick={this.handleGoSocialSecurityCardAuthorization}
            >
              社保卡授权添加 <Brief>绑定社保卡后自动新增，无需输入信息</Brief>
            </Item>
          </List>
          <List className="list-content">
            <Item
              arrow="horizontal"
              thumb={<i className="iconfont icon-tianjia"></i>}
              multipleLine
              onClick={this.handleGoBindingCard}
            >
              手动添加 <Brief>使用证件号和手机号进行绑定</Brief>
            </Item>
          </List>
        </div>
      </div>
    )
  }
}